
Figure - Bug #112024
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110885 (New): AF-V1.0功能测试-通知中心

【AF】【EVT】【手势】【通知中心&控制中心】屏保状态下仍然可以通过下滑屏幕进入通知中心&控制中心
2022-09-19 18:01 - CD Test赵飞

Status: CLOSED Start date: 2022-09-19

Priority: Normal Due date: 2022-09-28

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220916.alpha

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221010.alpha

Reproducibility: Every time Fixed Version: 2022-10-09

Test Type: IT Root cause: AOSP逻辑在多窗口模式下，强制显示状态栏，导致状态栏一直显示在屏保之上，因此能捕获下拉的手势。

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220916.alpha

【前提条件】

1、DUT已开机

【测试步骤】

1、DUT进入屏保模式（手动或自动）

2、在屏幕上侧边缘向下滑动

【预期结果】

2、屏幕无响应，不能打开通知中心&控制中心

【实际结果】

2、通知中心&控制中心可以被打开

【复现率】

5/5

【Log】

截图见附件

History

#1 - 2022-09-20 15:02 - CD Test赵飞

- Category set to CD-FW

#2 - 2022-09-20 16:31 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD- FW-石豪

#3 - 2022-09-20 19:50 - CD- FW-石豪

- Status changed from New to NEED_INFO

- Assignee changed from CD- FW-石豪 to CD Test赵飞

【视频分析】通过视频可以看出，在进入屏保之后，SystemUI状态栏并没有消失，这种情况下顶层视图任然是SystemUI，因此下拉仍然生效。
 正常情况，进入屏保之后，屏保界面会是视图最高层级，状态栏不会显示，这个需要日志作为辅助参考。

【复现频率】0/10 (在9/16日版本，无法复现)

【下一步计划】请提供日志，做进一步分析，开发这边也同步进行多次复现

#4 - 2022-09-23 11:09 - CD Test赵飞

- File logcat.txt added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD Test赵飞 to CD- FW-石豪

【复现步骤】

1、从桌面打开“设置”应用

2、返回至桌面

3、长按“设置”应用图标，选择“小窗”

4、下滑屏幕进入控制中心

5、点击“屏保模式”

6、下滑屏幕

【Log】

见附件，22:42左右

#5 - 2022-09-26 18:33 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V3.0_update_20221130

#6 - 2022-09-27 15:28 - CDTS_TEST 王成

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V3.0_20221030

#7 - 2022-09-29 20:25 - CD- FW-石豪

- % Done changed from 0 to 90

- Resolution deleted (--)

- Root cause set to AOSP逻辑在多窗口模式下，强制显示状态栏，导致状态栏一直显示在屏保之上，因此能捕获下拉的手势。

【根本原因】AOSP逻辑在多窗口模式下，强制显示状态栏，导致状态栏一直显示在屏保之上，因此能捕获下拉的手势。

【修复方案】再多窗口模式下，进入屏保的时候，让它继续执行状态栏的Disable流程

【代码提交】https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/153120

【合入状态】待合入

#8 - 2022-10-08 18:41 - CD- FW-石豪

- Status changed from ASSIGNED to RESOLVED

- Resolution set to FIXED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220916.alpha

- Fixed Version set to 2022-10-09

【合入时间】10/8,请在10/9日及以后版本验证

【验证方式】

 1、任意应用进入小窗模式

 2、等待息屏进入屏保，观察顶部状态栏，预期无状态栏显示，无法下拉
#9 - 2022-10-08 18:41 - CD- FW-石豪

- Assignee changed from CD- FW-石豪 to CD Test赵飞

#10 - 2022-10-08 18:41 - CD- FW-石豪

- % Done changed from 90 to 100

#11 - 2022-10-10 16:16 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- Verified Version changed from FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220916.alpha to

FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221010.alpha

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221010.alpha

验证结果：PASS

#12 - 2022-10-10 16:17 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

#13 - 2022-12-22 20:40 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

153120 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF:ScreenSaver:Multi window mode to enter screen saver hidden status barIn AOSP logical multi window mode, the status bar is forced to be displayed,which has

been changed to screen saver hidden status barTC-RID: 0301-0300601IssueID: TS-R-DF-112024Change-Id: Ie00cb2857373adbd3ada0baa30df11a926d7dcb4

Files

screenrecord.mp4 6.65 MB 2022-09-19 CD Test赵飞

logcat.txt 3.22 MB 2022-09-23 CD Test赵飞
